# Get PlanBenefitsPlaceCoPay

Gets PlanBenefitsPlaceCoPay

Endpoint: GET /plans/{planID}/benefits/{benefitCode}/place-co-pays/{placeCode}
Version: v1
Security: apiKeyAuth, bearerAuth

## Security:

  - `apiKeyAuth` (unknown)
    apiKey in header x-api-key

  - `bearerAuth` (unknown)
    http bearer JWT

## Path parameters:

  - `planID` (string, required)
    Plan ID

  - `benefitCode` (string, required)
    Benefit Code

  - `placeCode` (string, required)
    Place Code

## Header parameters:

  - `vbasoftware-database` (string, required)
    Target database

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `data` (object)

  - `data.plan_ID` (string, required)
    References the PlanBenefitsPlace.Plan_ID value in parent table.

  - `data.benefit_Code` (string, required)
    References the PlanBenefitsPlace.Benefit_Code value in parent table.

  - `data.place_Code` (string, required)
    References the PlanBenefitsPlace.Place_Code value in parent table.

  - `data.copay_Amt` (number)
    Out of Network Co-Pay amount.

  - `data.copay_Amt_Net` (number)
    In Network Co-Pay amount.

  - `data.copay_Amt_Net_OOP` (boolean, required)
    Indicates that the In Network Co-Pay will continue to be taken after the Out of Pocket has been met. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.copay_Amt_OOP` (boolean, required)
    Indicates that the Out of Network Co-Pay will continue to be taken after the Out of Pocket has been met. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.copay_Pct` (string, required)
    Indicates whether the Out of Network Co-Pay amount is a percentage. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.copay_Pct_Net` (string, required)
    Indicates whether the In Network Co-Pay amount is a percentage. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.copay_Per` (string)
    Indicates the frequency that Co-Pay is taken: 1. Day - per service date. 2. Occurrence - per occurrence date on the claim header. 3. Service - per service line. 4. Unit - per unit on the service line. 5. Visit - per day per Provider.

  - `data.entry_Date` (string)
    Date when the record was added to the system.

  - `data.entry_User` (string)
    User that first added the record to the system.

  - `data.update_Date` (string)
    Date when the record was last updated in the system.

  - `data.update_User` (string)
    User that last updated the record in the system.

  - `error` (object)

  - `error.detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `error.instance` (string)
    A URI reference that identifies the specific occurrence of the problem.It may
or may not yield further information if dereferenced.

  - `error.status` (integer)
    The HTTP status code([RFC7231], Section 6) generated by the origin server for
this occurrence of the problem.

  - `error.title` (string)
    A short, human-readable summary of the problem type.It SHOULD NOT change from
occurrence to occurrence of the problem, except for purposes of localization(e.g.,
using proactive content negotiation; see[RFC7231], Section 3.4).

  - `error.type` (string)
    A URI reference [RFC3986] that identifies the problem type. This specification
encourages that, when dereferenced, it provide human-readable documentation for
the problem type (e.g., using HTML [W3C.REC-html5-20141028]). When this member
is not present, its value is assumed to be "about:blank".

  - `debug` (object)

  - `debug.activityID` (string, required)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 403:

  - `403` (unknown)
    Forbidden. The x-api-key header is missing or not valid. The API gateway sends this response, not VBAPI, so the body is not the VBAPI envelope; see Errors and troubleshooting.

## Response 429:

  - `429` (unknown)
    Too many requests. The limit is 25 requests per second sustained, with bursts up to 50, per API key. Wait and retry with exponential backoff and jitter.

